/*                         */
/*  font.c -- font         */
/*                         */
/*  pad2ps  by S. Yoshida  */
/*                         */

#include "config.h"

#include "pad2ps.h"

static keep_fontsize;
static keep_fontwidth;
#ifdef JAPANESE
static keep_jfontwidth;
#endif

void change_font(double rate)
/* change font */
{
    keep_fontsize = fontsize;
    keep_fontwidth = fontwidth;
#ifdef JAPANESE
    keep_jfontwidth = jfontwidth;
#endif

    fontsize = (int)((double)(fontsize * rate));
    fontwidth = (int)((double)(fontwidth * rate));
#ifdef JAPANESE
    jfontwidth = (int)((double)(jfontwidth * rate));
#endif
}

void restore_font(void)
/* resume font */
{
    fontsize = keep_fontsize;
    fontwidth = keep_fontwidth;
#ifdef JAPANESE
    jfontwidth = keep_jfontwidth;
#endif
}
